Golang:Delve版本太低无法Debug

youzhihua · · 5324 次点击 · · 开始浏览    
这是一个创建于 的文章,其中的信息可能已经有所发展或是发生改变。

问题描述

最近把Golang升级到了1.14,突然发现Goland编辑器没法Debug调试程序了,会报出如下错误:

Version of Go is too old for this version of Delve (minimum supported version 1.13, suppress this error with --check-go-version=false)

解决方法

  • 首先,更新本机的delve组件(直接打开cmd操作,不要在项目内)
go get github.com/go-delve/delve/cmd/dlv

如果操作有问题,可以参看作者的文档:https://github.com/derekparker/delve/blob/master/Documentation/installation/windows/install.md

  • 然后,找到下载的delve,默认存放的地址是:%GOROOT%/bin/delve/dlv.exe

  • 设置Goland

  1. 依次打开:Help->Edit Customer Properties;若提示文件不存在,点击创建即可。
  2. 在文件中新增:dlv.path=你的dlv路径(windows的路径需要转义)
  • 最后重启Goland即可(刚配置好后的第一次重启会比较慢)

有疑问加站长微信联系(非本文作者)

本文来自:简书

感谢作者:youzhihua

查看原文:Golang:Delve版本太低无法Debug

入群交流(和以上内容无关):加入Go大咖交流群,或添加微信:liuxiaoyan-s 备注:入群;或加QQ群:701969077

5324 次点击  
加入收藏 微博
添加一条新回复 (您需要 登录 后才能回复 没有账号 ?)
  • 请尽量让自己的回复能够对别人有帮助
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`
  • 支持 @ 本站用户;支持表情(输入 : 提示),见 Emoji cheat sheet
  • 图片支持拖拽、截图粘贴等方式上传